## javax.persistence.criteria
Interface FetchParent<Z,X>

All Known Subinterfaces:
  CollectionJoin<Z,E>, Fetch<Z,X>, From<Z,X>, Join<Z,X>, ListJoin<Z,E>, MapJoin<Z,K,V>, PluralJoin<Z,C,E>, Root<X>, SetJoin<Z,E>

    public interface FetchParent<Z,X>

Method Summary

`

`<Y> Fetch<X,Y>`

`

`fetch(PluralAttribute<? super X,?,Y> attribute)`

`

`<Y> Fetch<X,Y>`

`

`fetch(PluralAttribute<? super X,?,Y> attribute, JoinType jt)`

`

`<Y> Fetch<X,Y>`

`

`fetch(SingularAttribute<? super X,Y> attribute)`

`

`<Y> Fetch<X,Y>`

`

`fetch(SingularAttribute<? super X,Y> attribute, JoinType jt)`

`

`<X,Y> Fetch<X,Y>`

`

`fetch(java.lang.String attributeName)`

`

`<X,Y> Fetch<X,Y>`

`

`fetch(java.lang.String attributeName, JoinType jt)`

`java.util.Set<Fetch<X,?>>` `getFetches()`

Method Detail

### getFetches

    java.util.Set<Fetch<X,?>> getFetches()

### fetch

    <Y> Fetch<X,Y> fetch(SingularAttribute<? super X,Y> attribute)

### fetch

    <Y> Fetch<X,Y> fetch(SingularAttribute<? super X,Y> attribute,
                         JoinType jt)

### fetch

    <Y> Fetch<X,Y> fetch(PluralAttribute<? super X,?,Y> attribute)

### fetch

    <Y> Fetch<X,Y> fetch(PluralAttribute<? super X,?,Y> attribute,
                         JoinType jt)

### fetch

    <X,Y> Fetch<X,Y> fetch(java.lang.String attributeName)

### fetch

    <X,Y> Fetch<X,Y> fetch(java.lang.String attributeName,
                           JoinType jt)